function UrlParamsDetalhes(pageName) {
    var self = this;
    self.params = [];

    if (pageName) {
        getUrlParams(pageName);
    }

    function getUrlParams(pageName) {
        var params = [],
            pathName = "";

        if (pageName.substring(0, 1) !== "/") {
            pageName = "/" + pageName;
        }

        if (pageName.substring(pageName.length - 1) !== "/") {
            pageName = pageName + "/";
        }

        pathName = document.location.pathname.toLowerCase();
        pageName = pageName.toLowerCase();       

       params = pathName.replace(pageName, "");
       self.params = params.split("/");       
    }
}